## org.flexdock.perspective
Class Layout

    java.lang.Object
      org.flexdock.perspective.Layout

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, FloatManager

    public class Layout

extends java.lang.Object
implements java.lang.Cloneable, FloatManager, java.io.Serializable

Author:
  Christopher Butler
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.flexdock.docking.state.FloatManager
`FloatManager.Stub`

Field Summary

Fields inherited from interface org.flexdock.docking.state.FloatManager
`DEFAULT_STUB`

Constructor Summary
`Layout()`

Method Summary
`void` `add(Dockable dockable)`
`void` `add(java.lang.String dockableId)`
`void` `addFloatingGroup(FloatingGroup floatingGroup)`
`void` `addListener(LayoutListener listener)`
`void` `addToGroup(Dockable dockable, java.lang.String groupId)`
`void` `apply(DockingPort dockingPort)`
`java.lang.Object` `clone()`
`boolean` `contains(Dockable dockable)`
`boolean` `contains(java.lang.String dockable)`
`DockingFrame` `floatDockable(Dockable dockable, java.awt.Component frameOwner)`
`DockingFrame` `floatDockable(Dockable dockable, java.awt.Component frameOwner, java.awt.Rectangle screenBounds)`
`Dockable` `getDockable(java.lang.String id)`
`Dockable[]` `getDockables()`
`DockingState` `getDockingState(Dockable dockable)`
`DockingState` `getDockingState(Dockable dockable, boolean load)`
`DockingState` `getDockingState(java.lang.String dockableId)`
`DockingState` `getDockingState(java.lang.String dockableId, boolean load)`
`java.lang.String[]` `getFloatingGroupIds()`
`FloatingGroup` `getGroup(Dockable dockable)`
`FloatingGroup` `getGroup(java.lang.String groupId)`
`LayoutListener[]` `getListeners()`
`LayoutNode` `getRestorationLayout()`
`void` `hide(Dockable dockable)`
`boolean` `isInitialized()`
`DockingState` `remove(java.lang.String dockableId)`
`void` `removeFromGroup(Dockable dockable)`
`void` `removeListener(LayoutListener listener)`
`void` `setDockingState(java.lang.String dockableId, DockingState dockingState)`
`void` `setRestorationLayout(LayoutNode restorationLayout)`
`void` `show(Dockable dockable, DockingPort dockingPort)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Layout

    public Layout()

Method Detail

### addListener

    public void addListener(LayoutListener listener)

### removeListener

    public void removeListener(LayoutListener listener)

### getListeners

    public LayoutListener[] getListeners()

### add

    public void add(Dockable dockable)

### add

    public void add(java.lang.String dockableId)

### remove

    public DockingState remove(java.lang.String dockableId)

### contains

    public boolean contains(Dockable dockable)

### contains

    public boolean contains(java.lang.String dockable)

### getDockable

    public Dockable getDockable(java.lang.String id)

### getDockables

    public Dockable[] getDockables()

### getDockingState

    public DockingState getDockingState(java.lang.String dockableId)

### getDockingState

    public DockingState getDockingState(Dockable dockable)

### getDockingState

    public DockingState getDockingState(Dockable dockable,
                                        boolean load)

### getDockingState

    public DockingState getDockingState(java.lang.String dockableId,
                                        boolean load)

### setDockingState

    public void setDockingState(java.lang.String dockableId,
                                DockingState dockingState)

### apply

    public void apply(DockingPort dockingPort)

### hide

    public void hide(Dockable dockable)

### show

    public void show(Dockable dockable,
                     DockingPort dockingPort)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### floatDockable

    public DockingFrame floatDockable(Dockable dockable,
                                      java.awt.Component frameOwner,
                                      java.awt.Rectangle screenBounds)

  Specified by:
    `floatDockable` in interface `FloatManager`

### floatDockable

    public DockingFrame floatDockable(Dockable dockable,
                                      java.awt.Component frameOwner)

  Specified by:
    `floatDockable` in interface `FloatManager`

### getGroup

    public FloatingGroup getGroup(Dockable dockable)

  Specified by:
    `getGroup` in interface `FloatManager`

### getFloatingGroupIds

    public java.lang.String[] getFloatingGroupIds()

### getGroup

    public FloatingGroup getGroup(java.lang.String groupId)

  Specified by:
    `getGroup` in interface `FloatManager`

### addFloatingGroup

    public void addFloatingGroup(FloatingGroup floatingGroup)

### addToGroup

    public void addToGroup(Dockable dockable,
                           java.lang.String groupId)

  Specified by:
    `addToGroup` in interface `FloatManager`

### removeFromGroup

    public void removeFromGroup(Dockable dockable)

  Specified by:
    `removeFromGroup` in interface `FloatManager`

### isInitialized

    public boolean isInitialized()

### getRestorationLayout

    public LayoutNode getRestorationLayout()

### setRestorationLayout

    public void setRestorationLayout(LayoutNode restorationLayout)